/*
 * gtkmonop - the gtk+ monopoly simulator
 * Copyright (C) 2001 Erik Bourget
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <malloc.h>
#include <gtk/gtk.h>
#include <signal.h>

#include "structs.h"
#include "client.h"
#include "mainwin.h"
#include "gdk_functions.h"

/* windows that may pop up */
GtkWidget *mainwin;

/* misc useful globals */
gamelist *gameslist;
gmonopprefs *prefs;
estate *estates[40];

player *players;
trade *trades;
auction *auctions;

int clientpid;
int gamestarted;

int main(int argc, char *argv[])
{
	int i;
	
#ifdef ENABLE_NLS
	//	bindtextdomain(PACKAGE, PACKAGE_LOCALE_DIR);
	//      textdomain(PACKAGE);
#endif
	gtk_set_locale();
	gtk_init (&argc, &argv);
	
	prefs = malloc(sizeof(gmonopprefs));
	players = (player *)NULL;
	trades = (trade *)NULL;
	auctions = (auction *)NULL;

	client_initpipes();

	for(i = 0; i < 40; i++) {
		estates[i] = malloc(sizeof(estate));
		estates[i]->owner = (player *)NULL;
		estates[i]->mortgaged = 0;
		estates[i]->houses = 0;
		estates[i]->name = NULL;
		estates[i]->ownable = 0;
		estates[i]->group = 0;
		estates[i]->houseprice = 0;
	}
	
	gamestarted = 0;
	gameslist = (gamelist *)NULL;

	init_colors();
	mainwin = new_mainwin();
	gtk_widget_show(mainwin);
	
	init_board();
	
	gtk_main();

	/* close down the network connection */
	client_destroy();
	kill(clientpid, SIGTERM);
	return 0;
}
